#====START_GENERATED_PROLOG======================================
#
#
#   COMPONENT_NAME: odother
#
#   CLASSES: none
#
#   ORIGINS: 27
#
#
#   (C) COPYRIGHT International Business Machines Corp. 1995,1996
#   All Rights Reserved
#   Licensed Materials - Property of IBM
#   US Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
#   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
#   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
#   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
#   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
#   OR PERFORMANCE OF THIS SOFTWARE.
#
#====END_GENERATED_PROLOG========================================
#
# @(#) 1.7 nt/src/samples/JavaPart/makefile.mak, odjavapart, od96nt, odnt9714c 3/24/97 16:54:55 [ 4/2/97 17:55:07 ]

# If you wish to add to the existing compile and link flags, you can
# do it with these macros

# The JAVA_HOME environment variable needs to point to the JDK 1.1 directory

ExtraSOMCompileOptions =

ExtraCompileOptions = -I$(JAVA_HOME)\include -I$(JAVA_HOME)\include\win32

ExtraLinkOptions =


# ===================================================================
# Subdirectories you want nmake to visit
#Subdirs = en_US


# include to define the iodutils macro
!include $(ODSRC)/src/iodduals.mak

# ===================================================================
# Targets

# IdlTargets = List all the idls
# RegTargets = List all idls of parts that need to be registered
# HdrTargets = List all the C++ headers
# MsgTargets = List all the message catalogs
# LibTargets = List all export libraries to be built
# DllTargets = List all shared libraries to be built


IdlTargets = iodjava.idl

RcTargets = iodjava.rc

HdrTargets = \
	Borland.htm  \
	Duke.htm     \
	Globe.htm    \
	Hangman.htm  \
	JavaPart.htm \
	Line.htm     \
	NervText.htm \
	Reaction.htm \
	Search.htm   \
	Wave.htm

MsgTargets =

LibTargets = $(ODSRC)/lib/iodjava.$(LibSuffix)

DllTargets = \
	$(ODSRC)/dll/iodjava.dll \
	$(ODSRC)/dll/jempn11.dll \
	$(ODSRC)/dll/javapart.zip

RegMain=iodjava.dll
RegIDL=iodjava.idl
RegClassName=JavaPart
RegKind=JavaPart
FilesDlls=iodjava.dll jempn11.dll javapart.zip
FilesIncs=$(IdlTargets) $(IdlTargets:.idl=.xh) $(HdrTargets)
FilesLibs=iodjava.$(LibSuffix)
FilesCats=
FilesStationery=

# ===================================================================
# Common Inference Rules

# Platform.mak contains all the platform specific code to build the
# sample. Check it to verify which compiler the sample is using.

!include $(ODSRC)/src/Platform.mak


# ===================================================================
# Rules

javapartObjList =       \
	iodjava.$(Obj)  \
	Tag.$(Obj)      \
	Applet.$(Obj)   \
	Bean.$(Obj)   \
	Help.$(Obj)     \
	Misc.$(Obj) 	\
	Dialog.$(Obj)   \
	PropDlg.$(Obj)  \
	PrefDlg.$(Obj)  \
	jemppars.$(Obj)

iodjava.$(Obj) : iodjava.cpp iodjava.xih iodjava.h Tag.h Applet.h Bean.h PropDlg.h PrefDlg.h Misc.h

Tag.$(Obj) : Tag.cpp Applet.h

Applet.$(Obj) : Applet.cpp Applet.h Tag.h

Bean.$(Obj) : Bean.cpp Bean.h Tag.h

Help.$(Obj) : Help.cpp Help.h

Misc.$(Obj) : Misc.cpp Misc.h

PropDlg.$(Obj) : PropDlg.cpp PropDlg.h Dialog.h

PrefDlg.$(Obj) : PrefDlg.cpp PrefDlg.h Dialog.h

jemppars.$(Obj) : jemppars.cpp jemppars.h

javapartLibList = \
!IF "$(Platform)"=="win32"
        {$(LIB)}gdi32.$(LibSuffix)    \
        {$(LIB)}advapi32.$(LibSuffix) \
        {$(LIB)}user32.$(LibSuffix)  \
        {$(LIB)}COMDLG32.$(LibSuffix)  \
!ENDIF
	$(ODBASE)/lib/msgdll.$(LibSuffix) \
	$(SOMBASE)/lib/somtk.$(LibSuffix) \
	$(ODSRC)/lib/$(iodutils).$(LibSuffix) \
	$(ODSRC)/lib/iodsimpl.$(LibSuffix) \
	$(ODBASE)/lib/odui.$(LibSuffix) \
	$(ODBASE)/lib/odlayout.$(LibSuffix) \
	$(ODBASE)/lib/odimagng.$(LibSuffix) \
	$(ODBASE)/lib/odcore.$(LibSuffix) \
	$(ODBASE)/lib/odstorag.$(LibSuffix) \
	jempn11.$(LibSuffix)


$(ODSRC)/dll/iodjava.dll :  $(ODSRC)/lib/iodjava.$(Exp) \
	$(javapartLibList) \
	$(javapartObjList) \
	iodjava.res
	@$(BuildDll)


$(ODSRC)/lib/iodjava.$(Def) :  iodjava.$(Def)
	@$(BuildCopy)

$(ODSRC)/dll/jempn11.dll :  jempn11.dll
	@$(BuildCopy)

$(ODSRC)/dll/javapart.zip : javapart.zip
	@$(BuildCopy)

$(ODSRC)/lib/iodjava.$(LibSuffix) : \
!IFDEF CPPMAIN
	$(ODSRC)/lib/iodjava.$(Def) \
!ENDIF
	$(javapartObjList)
	@$(BuildLib)

# end of file
